# Uses of Class
org.apache.lucene.search.TermRangeQuery

Packages that use TermRangeQuery
Package
Description
org.apache.lucene.search
Code to search indices.

- ## Uses of TermRangeQuery in org.apache.lucene.search

  Methods in org.apache.lucene.search that return TermRangeQuery
  Modifier and Type
  Method
  Description
  `static TermRangeQuery`
  TermRangeQuery.`newStringRange(String field, String lowerTerm, String upperTerm, boolean includeLower, boolean includeUpper)`
  Factory that creates a new TermRangeQuery using Strings for term text.
  `static TermRangeQuery`
  TermRangeQuery.`newStringRange(String field, String lowerTerm, String upperTerm, boolean includeLower, boolean includeUpper, MultiTermQuery.RewriteMethod rewriteMethod)`
  Factory that creates a new TermRangeQuery using Strings for term text.